VST 3 SDK: Unit Class Reference
Author: Steinberg

VST 3 SDK VST 3.7 SDK for developing VST plug-in

Public Member Functions | Public Attributes | List of all members
Unit Class Reference
VST Implementation Helper Classes

Unit element. More...

`#include <vsteditcontroller.h>`

Inheritance diagram for Unit:

## Public Member Functions
| Unit (const String128 name, UnitID unitId, UnitID parentUnitId=kRootUnitId, ProgramListID programListId=kNoProgramListId)
| Unit (const UnitInfo &unit)
const UnitInfo & | getInfo () const
| Returns its info. More...
UnitID | getID () const
| Returns its Unit ID. More...
void | setID (UnitID newID)
| Sets a new Unit ID. More...
const TChar * | getName () const
| Returns its Unit Name. More...
void | setName (const String128 newName)
| Sets a new Unit Name. More...
ProgramListID | getProgramListID () const
| Returns its ProgramList ID. More...
void | setProgramListID (ProgramListID newID)
| Sets a new ProgramList ID. More...

## Public Attributes
OBJ_METHODS(Unit, FObject) protected UnitInfo | info

## Detailed Description

Unit element.

## Constructor & Destructor Documentation

## ◆ Unit() [1/2]

Unit | ( | const String128 | name,
|  | UnitID | unitId,
|  | UnitID | parentUnitId = `kRootUnitId`,
|  | ProgramListID | programListId = `kNoProgramListId`
| ) |  |

## ◆ Unit() [2/2]

Unit | ( | const UnitInfo & | unit | ) |

## Member Function Documentation

## ◆ getInfo()

const UnitInfo & getInfo | ( |  | ) | const
| inline

Returns its info.

## ◆ getID()

UnitID getID | ( |  | ) | const
| inline

Returns its Unit ID.

## ◆ setID()

void setID | ( | UnitID | newID | ) |
| inline

Sets a new Unit ID.

## ◆ getName()

const TChar * getName | ( |  | ) | const
| inline

Returns its Unit Name.

## ◆ setName()

void setName | ( | const String128 | newName | ) |

Sets a new Unit Name.

## ◆ getProgramListID()

ProgramListID getProgramListID | ( |  | ) | const
| inline

Returns its ProgramList ID.

## ◆ setProgramListID()

void setProgramListID | ( | ProgramListID | newID | ) |
| inline

Sets a new ProgramList ID.

## Member Data Documentation

## ◆ info

OBJ_METHODS (Unit, FObject) protected UnitInfo info

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.